STRSIGNAL(3)

NAME
strsignal - return string describing signal

SYNOPSIS
#define _GNU_SOURCE
#include <string.h>

char *strsignal(int sig);

extern const char * const sys_siglist[];

DESCRIPTION
The strsignal() function returns a string describing the signal number passed in the argument sig. The string can only be used until the next call to strsignal().

The array sys_siglist holds the signal description strings indexed by signal number. The strsignal() function should be used if possible instead of this array.

RETURN VALUE
The strsignal() function returns the appropriate description string, or an unknown signal message if the signal number is invalid. On some systems (but not on Linux), a NULL pointer may be returned instead for an invalid signal number.

CONFORMING TO
POSIX.1-2008. Present on Solaris and the BSDs.

SEE ALSO
psignal(3), strerror(3), feature_test_macros(7)

COLOPHON
This page is part of release 3.14 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.